diff -Naur nextcloud.orig/apps/files_fulltextsearch/l10n/fr.js nextcloud/apps/files_fulltextsearch/l10n/fr.js
--- nextcloud.orig/apps/files_fulltextsearch/l10n/fr.js	1970-01-01 01:00:00.000000000 +0100
+++ nextcloud/apps/files_fulltextsearch/l10n/fr.js	2018-08-15 14:58:02.996543403 +0200
@@ -0,0 +1,9 @@
+OC.L10N.register(
+    "files_fulltextsearch",
+    {
+    "Full text search - Files (BETA)" : "Recherche de texte intégrale - Fichiers (BETA)",
+    "Index the content of your files" : "Indexe le contenu de vos fichiers",
+    "Extension to the _Full text search_ app to index your users' files." : "Extension de l'application _Recherche de texte intégrale_ pour indexer les fichiers de vos utilisateurs.",
+    "Files" : "Fichiers"
+},
+"nplurals=2; plural=(n != 1);");
diff -Naur nextcloud.orig/apps/files_fulltextsearch/l10n/fr.json nextcloud/apps/files_fulltextsearch/l10n/fr.json
--- nextcloud.orig/apps/files_fulltextsearch/l10n/fr.json	1970-01-01 01:00:00.000000000 +0100
+++ nextcloud/apps/files_fulltextsearch/l10n/fr.json	2018-08-15 14:57:49.104488788 +0200
@@ -0,0 +1,7 @@
+{ "translations": {
+    "Full text search - Files (BETA)" : "Recherche de texte intégrale - Fichiers (BETA)",
+    "Index the content of your files" : "Indexe le contenu de vos fichiers",
+    "Extension to the _Full text search_ app to index your users' files." : "Extension de l'application _Recherche de texte intégrale_ pour indexer vos fichiers d'utilisateur.",
+    "Files" : "Fichiers"
+},"pluralForm" :"nplurals=2; plural=(n != 1);"
+}
diff -Naur nextcloud.orig/apps/fulltextsearch/lib/Model/SearchRequest.php nextcloud/apps/fulltextsearch/lib/Model/SearchRequest.php
--- nextcloud.orig/apps/fulltextsearch/lib/Model/SearchRequest.php	2018-08-01 06:44:32.000000000 +0200
+++ nextcloud/apps/fulltextsearch/lib/Model/SearchRequest.php	2018-08-15 13:16:03.244197000 +0200
@@ -130,6 +130,66 @@
 
 
 	/**
+	 * Convert a Google-like syntax 'word1 "word 2" -word3' to Lucene syntax
+	 * '+word1 +"word 2" -word3'.
+	 *
+	 * Alternative:
+	 * '+"word1" +"word 2" -"word3"'.
+	 *
+	 * Double quotes prevent strange behavior of stemming with non-English languages.
+	 *
+	 * Last version of this patch available at:
+	 *
+	 *	<http://www.gdacosta.fr/technique/nextcloud/fulltextsearch/>
+	 *
+	 *--------------------------------------------------------------------------------
+	 * License:
+	 *
+	 * This patch is provided "as is", without any warranty of any kind.
+	 *
+	 * You can use it without restruction, including making millions of dollars with
+	 * it, as long as you don't sue me.
+	 *						Wed Aug 15 10:26:50 CEST 2018
+	 *--------------------------------------------------------------------------------
+	 */
+	public function convertGoogleLikeSyntax() {
+		/*
+		 * regexp derived from <https://stackoverflow.com/a/366532> (Jan Goyvaerts).
+		 *
+		 * We're looking for:
+		 *	- words containing no blanks,
+		 *	- phrases delimited by double quotes, possibly containing blanks.
+		 * Both elements may be prefixed by "+" or "-".
+		 * Quotes must be paired, and can't be escaped.
+		 *
+		 *	\1	"+", "-" or empty
+		 *	(?:)	not used. Unnumbered.
+		 *	\2	word.
+		 *	\3	phrase, without quotes.
+		 * At least one of word or phase is empty.
+		 */
+		$search = $this->getSearch();
+		$quote = '';	// Alternative: '"' for quoting single words, preventing stemming
+
+		preg_match_all('/([+-])?(?:([^\s"]+)|"([^"]*)")/', " $search ", $query_elements);
+		for ($i = 0; $i < count( $query_elements[0] ); $i++ ) {
+			$plus_or_minus = $query_elements[1][ $i ];
+			if ( ! $plus_or_minus ) {
+				$plus_or_minus = "+";	// Default operator.
+			}
+
+			$query = $query . $plus_or_minus . $quote . $query_elements[2][ $i ] . $query_elements[3][ $i ] . $quote . ' ';
+		}
+
+		$query = trim( $query );
+
+		syslog( LOG_DEBUG, "convertGoogleLikeSyntax(): " . $query );
+
+		$this->setSearch( $query );
+	}
+
+
+	/**
 	 *
 	 */
 	public function cleanSearch() {
@@ -146,6 +206,8 @@
 		}
 
 		$this->setSearch(implode(" ", $searchItems));
+
+		$this->convertGoogleLikeSyntax();
 	}
 
 
@@ -515,4 +577,4 @@
 	}
 
 
-}
\ No newline at end of file
+}
diff -Naur nextcloud.orig/version.php nextcloud/version.php
--- nextcloud.orig/version.php	2018-07-23 12:52:09.000000000 +0200
+++ nextcloud/version.php	2018-08-15 12:55:12.000000000 +0200
@@ -1,6 +1,6 @@
 <?php 
 $OC_Version = array(13,0,5,2);
-$OC_VersionString = '13.0.5';
+$OC_VersionString = '13.0.5+gdc20180825';
 $OC_Edition = '';
 $OC_Channel = 'stable';
 $OC_VersionCanBeUpgradedFrom = array (
